function funplot(F,x,y);

nx=length(x);
ny=length(y);

fz=zeros(nx,ny);    % intiliaze matrix size to grid size and set to zero  
for i=1:nx
  for j=1:ny
    % compute f(x(i),y(j)) and store in fz(i,j)
    [f,g,h]=feval(F,[x(i);y(j)]);
    fz(i,j)=f;
  end
end

figure(1);

hold off;
axis auto

mesh(x,y,fz');


 
