function [val,grad,hess]=cosfun(x,donotplot);

global fun_cnt;
if(nargin<2)
  donotplot=0;
end

val=0.1*cos(5*x)+0.05*x-log(20-x);
grad=-0.5*sin(5*x)+0.05+1/(20-x);
hess=-2.5*cos(x)-1/(20-x)^2;

if (donotplot==0)
  plot([x],[val],'or');
  fun_cnt=fun_cnt+1;
  disp(['evaluation ' num2str(fun_cnt) '        press any key]' ]); 
  pause;
end

